Skip to content

Get English auction standings

GET
/collection/{highlightId}/sales/{saleId}/auction

Public read-model for an English auction: lifecycle state, reserve, current highest bid/bidder, end time, escrowed token, and creator earnings — served from the chain-reconciled projection. Includes whether the authenticated viewer is the current highest bidder when a bearer token is supplied.

highlightId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
saleId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/

English auction standing

object
saleId
required
string
state
required
integer
>= -9007199254740991 <= 9007199254740991
live
required
boolean
fulfilled
required
boolean
cancelled
required
boolean
currency
required
string
reservePrice
required
string
highestBidder
required
Any of:
string
highestBidAmount
required
string
preferredNftRecipient
required
Any of:
string
endTime
required
integer
>= -9007199254740991 <= 9007199254740991
tokenId
required
Any of:
string
creatorEarnings
required
string
platformBps
required
integer
>= -9007199254740991 <= 9007199254740991
totalBids
required
integer
<= 9007199254740991
viewer
required
Any of:
object
address
required
string
isHighestBidder
required
boolean

Invalid request

Not found